/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/metaobj/tags/sakai_2-2-3/metaobj-api/api/src/java/org/sakaiproject/metaobj/shared/model/Type.java $
 * $Id: Type.java 8052 2006-04-20 18:16:21Z ggolden@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.metaobj.shared.model;

import java.io.Serializable;


/**
 * Created by IntelliJ IDEA.
 * User: jbush
 * Date: Apr 29, 2004
 * Time: 11:11:15 AM
 * To change this template use File | Settings | File Templates.
 */
public class Type implements Serializable {

   private Id id;
   private String description;
   private boolean systemOnly = false;

   public Type() {
   }

   public Type(Id id) {
      setId(id);
   }

   public Type(Id id, String description) {
      setDescription(description);
      setId(id);
   }

   public Type(Id id, String description, boolean systemOnly) {
      setId(id);
      this.description = description;
      this.systemOnly = systemOnly;
   }

   /**
    * @return Returns the id.
    */
   public Id getId() {
      return id;
   }

   public void setId(Id id) {
      this.id = id;
      if (getDescription() == null) {
         setDescription(id.getValue());
      }
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public boolean isSystemOnly() {
      return systemOnly;
   }

   public void setSystemOnly(boolean systemOnly) {
      this.systemOnly = systemOnly;
   }

}
