/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/util/tags/sakai_2-2-3/util-api/api/src/java/org/sakaiproject/exception/OverQuotaException.java $
 * $Id: OverQuotaException.java 7070 2006-03-27 20:54:07Z ggolden@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.exception;

/**
 * <p>
 * OverQuotaException is thrown whenever an attempt is made to change or add a Resource which fails because a quota would be violated by this attempt.
 * </p>
 * <p>
 * The id of the Resource is available as part of the exception.
 * </p>
 */
public class OverQuotaException extends Exception
{
	private String m_ref = null;

	public OverQuotaException(String ref)
	{
		m_ref = ref;
	}

	public String toString()
	{
		return super.toString() + " ref: " + m_ref;
	}
}
